Package org.apache.storm.security.auth

## Interface IAutoCredentials

- All Known Implementing Classes:
    `AbstractHadoopAutoCreds`, `AutoHBase`, `AutoHDFS`, `AutoHive`, `AutoSSL`, `AutoTGT`

      public interface IAutoCredentials

  Provides a way to automatically push credentials to a topology and to retrieve them in the worker.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `populateCredentials​(Map<String,​String> credentials)` | Called to populate the credentials on the client side.
    `void` | `populateSubject​(Subject subject, Map<String,​String> credentials)` | Called to initially populate the subject on the worker side with credentials passed in.
    `void` | `prepare​(Map<String,​Object> conf)` |
    `void` | `updateSubject​(Subject subject, Map<String,​String> credentials)` | Called to update the subject on the worker side when new credentials are recieved.

- - ### Method Detail

    - #### prepare

          void prepare​(Map<String,​Object> conf)

    - #### populateCredentials

          void populateCredentials​(Map<String,​String> credentials)

      Called to populate the credentials on the client side.
      Parameters:
        `credentials` - the credentials to be populated.

    - #### populateSubject

          void populateSubject​(Subject subject,
                               Map<String,​String> credentials)

      Called to initially populate the subject on the worker side with credentials passed in.
      Parameters:
        `subject` - the subject to optionally put credentials in.
        `credentials` - the credentials to be used.

    - #### updateSubject

          void updateSubject​(Subject subject,
                             Map<String,​String> credentials)

      Called to update the subject on the worker side when new credentials are recieved. This means that populateSubject has already been called on this subject.
      Parameters:
        `subject` - the subject to optionally put credentials in.
        `credentials` - the credentials to be used.